org.eclipse.viatra.dse.api

## Class DSETransformationRule<Match extends IPatternMatch,Matcher extends ViatraQueryMatcher<Match>>

- java.lang.Object
- - org.eclipse.viatra.transformation.runtime.emf.rules.batch.BatchTransformationRule<Match,Matcher>
  - - org.eclipse.viatra.dse.api.DSETransformationRule<Match,Matcher>

- Type Parameters:
    `Match` - A VIATRA Query pattern match - left hand side of the rule
    `Matcher` - A VIATRA Query pattern matcher - left hand side of the rule
  All Implemented Interfaces:
    ITransformationRule<Match,Matcher>

  Deprecated.

      @Deprecated
      public class DSETransformationRule<Match extends IPatternMatch,Matcher extends ViatraQueryMatcher<Match>>
      extends BatchTransformationRule<Match,Matcher>

  An instance of this class is a specification of a graph transformation rule on a given metamodel. Such a rule consists of a left hand side (LHS), which is specified by an `IQuerySpecification` and a right hand side (RHS), which is specified by an `IMatchProcessor`.

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.viatra.transformation.runtime.emf.rules.batch.BatchTransformationRule

      `ruleName, STATEFUL_RULE_LIFECYCLE, STATELESS_RULE_LIFECYCLE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DSETransformationRule(IQuerySpecification<Matcher> querySpec, IMatchProcessor<Match> action)` Deprecated.
    `DSETransformationRule(java.lang.String name, IQuerySpecification<Matcher> querySpec, IMatchProcessor<Match> action)` Deprecated.

  - ### Method Summary

    - ### Methods inherited from class org.eclipse.viatra.transformation.runtime.emf.rules.batch.BatchTransformationRule

      `getAction, getFilter, getName, getPrecondition, getRuleSpecification`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DSETransformationRule

          public DSETransformationRule(java.lang.String name,
                                       IQuerySpecification<Matcher> querySpec,
                                       IMatchProcessor<Match> action)

      Deprecated.

    - #### DSETransformationRule

          public DSETransformationRule(IQuerySpecification<Matcher> querySpec,
                                       IMatchProcessor<Match> action)

      Deprecated.